Forum:AutoCAD Architecture ACA (ADT)
Thema:Layerbezeichnung Voreinstellung
Möchten Sie sich registrieren?
Wer darf antworten? Registrierte Benutzer können Beiträge verfassen.
Hinweise zur Registrierung Sie müssen registriert sein, um Beiträge oder Antworten auf Beiträge schreiben zu können.
Ihr Benutzername:
Ihr Kennwort:   Kennwort vergessen?
Anhang:    Datei(en) anhängen  <?>   Anhänge verwalten  <?>
Grafik für den Beitrag:                                                
                                                       
Ihre Antwort:

Fachbegriff
URL
Email
Fett
Kursiv
Durchgestr.
Liste
*
Bild
Zitat
Code

*HTML ist AUS
*UBB-Code ist AN
Smilies Legende
Netiquette

10 20 40

Optionen Smilies in diesem Beitrag deaktivieren.
Signatur anfügen: die Sie bei den Voreinstellungen angegeben haben.

Wenn Sie bereits registriert sind, aber Ihr Kennwort vergessen haben, klicken Sie bitte hier.

Bitte drücken Sie nicht mehrfach auf "Antwort speichern".

*Ist HTML- und/oder UBB-Code aktiviert, dann können Sie HTML und/oder UBB Code in Ihrem Beitrag verwenden.

T H E M A     A N S E H E N
Balou_2002

Beiträge: 194 / 0

ACA 2014 64 Bit
3ds Max 2012
StadtCad 8
Windows 7 64 Bit

Hallo,

ich hoffe jemand kann mir einen Tipp geben:

Wir möchten unsere Layer für eine Bürovorlage umbenennen. In ACA fangen ja alle Layer voreingestellt mit "A_" an (entsprechend dem Layer-Schlüsselstil)

Gibt es eine Möglichkeit das Präfix "A_" in einem Ritt für alle z.B. in "XY_" umzubenennen oder muss man jeden Layer einzeln Anfassen?

Über Hilfestellungen würde ich mich sehr freuen.

MfG Marco

Dig15

Beiträge: 5830 / 6250

DWG TrueView 2014

Suche hier im Forum mal nach +Layer +umbenennen. da kommen einige Treffer. Unter anderem auch der Befehl laytrans.

------------------
Viele Grüße Lutz

Glück Auf!

CADmium

Beiträge: 13464 / 249

ACAD

(defun C:LAYRENAME(/ L N)
  (vl-load-com)
  (vlax-for L (vla-get-layers(vla-get-activedocument(vlax-get-acad-object)))
    (if (wcmatch (strcase(setq N(vla-get-name L)))"A_*")
      (vl-catch-all-apply 'vla-put-name (list L (strcat "XY_" (substr N 3))))
    )
  )

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Balou_2002

Beiträge: 194 / 0

ACA 2014 64 Bit
3ds Max 2012
StadtCad 8
Windows 7 64 Bit

Danke für Euche Antworten,

innerhalb einer Zeichnung ist mir der Umgang bekannt... laytrans oder Laykonv also auch.

Ich meinte den generellen Layerschlüsselstil: ACA...>Format>Zeichnung einrichten>Layer Schlüsselstil > z.B. Autocad Architecture o.ä.

Über den Layermanager oder auch Stilmanager kann man den Schlüsselstil aufrufen. Dort erscheinen dann die ZUordnungen zu den Layern.

Hier soll vom Prinzip die Umbenennung ansetzen, um sie für alle Zeichnungen zu haben.

Oder sehe ich die Thematik insgesamt falsch?

Gruß MArco

Brischke

Beiträge: 4156 / 36

ACAD

 
Zitat:
Original erstellt von Balou_2002:
Oder sehe ich die Thematik insgesamt falsch?

Ja!
Du musst in die Stil-Verwaltung, und dann den LayerSchlüsselStil entsprechend anpassen.

Wenn du dazu Fragen hast, dann frag mal im ACA-Brett

Grüße!
Holger

[rredit] link repariert und thread verschoben, nacktes ACAD kennt keine Layerschlüsselstile, daher geht es drüben weiter. [/rredit]

------------------
Holger Brischke
CAD on demand GmbH
Individuelle Lösungen von Heute auf Morgen.

   
defun-tools Das Download-Portal für AutoCAD-Zusatzprogramme!